Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xml
Class QXmlStreamAttribute

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.xml.QXmlStreamAttribute

All Implemented Interfaces:
  QtJambiInterface

    public class QXmlStreamAttribute

extends QtJambiObject

The `QXmlStreamAttribute` class represents a single XML attribute

An attribute consists of an optionally empty `namespaceUri`, a `name`, a `value`, and an `isDefault` attribute.

The raw XML attribute name is returned as `qualifiedName`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QXmlStreamAttribute()` Creates an empty attribute.
`QXmlStreamAttribute(QXmlStreamAttribute arg__1)` Creates a copy of `arg__1`.
`QXmlStreamAttribute(java.lang.String qualifiedName, java.lang.String value)` Constructs an attribute with qualified name `qualifiedName` and value `value`.
`QXmlStreamAttribute(java.lang.String namespaceUri, java.lang.String name, java.lang.String value)` Constructs an attribute in the namespace described with `namespaceUri` with `name` and value `value`.

Method Summary
`boolean` | `equals(java.lang.Object other)`
`static QXmlStreamAttribute` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QXmlStreamAttribute instance pointed to by nativePointer
`boolean` | `isDefault()` Returns true if the parser added this attribute with a default value following an ATTLIST declaration in the DTD; otherwise returns false.
`java.lang.String` | `name()` Returns the attribute's local name.
`java.lang.String` | `namespaceUri()` Returns the attribute's resolved `namespaceUri`, or an empty string reference if the attribute does not have a defined namespace.
`static QNativePointer` | `nativePointerArray(QXmlStreamAttribute[] array)` This function returns a QNativePointer that is pointing to the specified QXmlStreamAttribute array.
`java.lang.String` | `qualifiedName()` Returns the attribute's qualified name.
`java.lang.String` | `value()` Returns the attribute's value.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QXmlStreamAttribute

    public QXmlStreamAttribute(QXmlStreamAttribute arg__1)

  Creates a copy of `arg__1`.

### QXmlStreamAttribute

    public QXmlStreamAttribute(java.lang.String namespaceUri,
                               java.lang.String name,
                               java.lang.String value)

  Constructs an attribute in the namespace described with `namespaceUri` with `name` and value `value`.

### QXmlStreamAttribute

    public QXmlStreamAttribute(java.lang.String qualifiedName,
                               java.lang.String value)

  Constructs an attribute with qualified name `qualifiedName` and value `value`.

### QXmlStreamAttribute

    public QXmlStreamAttribute()

  Creates an empty attribute.

Method Detail

### isDefault

    public final boolean isDefault()

  Returns true if the parser added this attribute with a default value following an ATTLIST declaration in the DTD; otherwise returns false.

### name

    public final java.lang.String name()

  Returns the attribute's local name.

### namespaceUri

    public final java.lang.String namespaceUri()

  Returns the attribute's resolved `namespaceUri`, or an empty string reference if the attribute does not have a defined namespace.

### qualifiedName

    public final java.lang.String qualifiedName()

  Returns the attribute's qualified name.

  A qualified name is the raw name of an attribute in the XML data. It consists of the namespace prefix, followed by colon, followed by the attribute's local name. Since the namespace prefix is not unique (the same prefix can point to different namespaces and different prefixes can point to the same namespace), you shouldn't use `qualifiedName`, but the resolved `namespaceUri` and the attribute's local `name`.

### value

    public final java.lang.String value()

  Returns the attribute's value.

### fromNativePointer

    public static QXmlStreamAttribute fromNativePointer(QNativePointer nativePointer)

  This function returns the QXmlStreamAttribute instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QXmlStreamAttribute[] array)

  This function returns a QNativePointer that is pointing to the specified QXmlStreamAttribute array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD